# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models

def populate_electors_num(apps, schema_editor):
    Department = apps.get_model('apella', 'Department')
    for department in Department.objects.all():
        if department.institution.category == 'Institution':
            continue
        if department.institution.title.en == 'ACADEMY OF ATHENS':
            department.electors_num = 7
        else:
            department.electors_num = 5
        department.save()

class Migration(migrations.Migration):

    dependencies = [
        ('apella', '0047_department_electors_num'),
    ]

    operations = [
        migrations.RunPython(populate_electors_num),
    ]
