# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models


def init_position_ranks(apps, schema_editor):
    PositionRank = apps.get_model("apella", "PositionRank")
    ranks = [
            "Professor",
            "Associate Professor",
            "Assistant Professor",
            "Tenured Assistant Professor"]
    for rank in ranks:
        PositionRank.objects.create(rank=rank)

class Migration(migrations.Migration):

    dependencies = [
        ('apella', '0093_auto_20230421_1419'),
    ]

    operations = [
        migrations.RunPython(init_position_ranks),
    ]
