# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import datetime


class Migration(migrations.Migration):

    dependencies = [
        ('apella', '0094_auto_20230421_1424'),
    ]

    operations = [
        migrations.CreateModel(
            name='ElectorDisciplineRegistry',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('registry_type', models.CharField(default=b'internal', max_length=20, choices=[['internal', 'Internal'], ['external', 'External']])),
                ('created_at', models.DateTimeField(default=datetime.datetime.utcnow)),
                ('active_from', models.DateTimeField(null=True)),
                ('active_to', models.DateTimeField(null=True)),
                ('activated_at', models.DateTimeField(null=True)),
                ('deactivated_at', models.DateTimeField(null=True)),
                ('is_active', models.BooleanField(default=False)),
                ('department', models.ForeignKey(to='apella.Department', on_delete=django.db.models.deletion.PROTECT)),
                ('discipline', models.ForeignKey(to='apella.Discipline', on_delete=django.db.models.deletion.PROTECT)),
                ('registry_set_decision_file', models.ForeignKey(related_name='elector_registry_set_decision_files', on_delete=django.db.models.deletion.SET_NULL, blank=True, to='apella.ApellaFile', null=True)),
            ],
        ),
        migrations.CreateModel(
            name='ElectorDisciplineRegistryMembership',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('same_discipline', models.BooleanField(default=False)),
                ('professor', models.ForeignKey(to='apella.Professor', on_delete=django.db.models.deletion.PROTECT)),
                ('registry', models.ForeignKey(to='apella.ElectorDisciplineRegistry', on_delete=django.db.models.deletion.PROTECT)),
            ],
        ),
    ]
